Subject: Re: make problem=> "cannot open crt0.o"
From: "Cliff Hones" <[email-masked]>
To: "Rafael Junior" <[email-masked]>, <[email-masked]>
Date: Thu, 1 May 2003 12:19:28 +0100

Rafael Junior wrote:
> ...
> Now I have another error that I have not been able to
> solve after doing research on the internet. I get the
> following error:
> 
> [...]
> gcc -c -O myfopen.c
> + gcc -O -ansi -o buildhash buildhash.o hash.o
> makedent.o parse.o myfopen.o
> /usr/include/cygwin/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld:
> cannot open crt0.o: No such file or directory
> collect2: ld returned 1 exit status
> make: *** [buildhash] Error 1
> [...]
> 
> There is some problem with crt0.o not being present in
> my system. I searched for the file and *is not
> installed*, so I guess I will have to install it
> somehow. 
> ...

Using the package search facility (at http://cygwin.com/packages)
you would discover that crt0.o is part of the cygwin package - so
should be present (in /usr/lib) in any successfully installed
Cygwin system.  The first thing to try is to use setup.exe to
reinstall the cygwin package.  If this doesn't solve your
problem follow the instructions at http://cygwin.com/problems.html.

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/